Bug 840202 - [abrt] rhythmbox-2.97-1.fc17: g_settings_get_value: Process /usr/bin/rhythmbox was killed by signal 11 (SIGSEGV)
[abrt] rhythmbox-2.97-1.fc17: g_settings_get_value: Process /usr/bin/rhythmbo...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:3e93b981e4aff525557fe081f8c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 06:23 EDT by Juan J. Martínez
Modified: 2013-07-31 16:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.74 KB, text/plain)
2012-07-14 06:23 EDT, Juan J. Martínez
no flags Details
File: maps (60.02 KB, text/plain)
2012-07-14 06:23 EDT, Juan J. Martínez
no flags Details
File: dso_list (20.67 KB, text/plain)
2012-07-14 06:23 EDT, Juan J. Martínez
no flags Details

  None (edit)
Description Juan J. Martínez 2012-07-14 06:23:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        rhythmbox
comment:        I was using the DAAP plugin configuration.
crash_function: g_settings_get_value
executable:     /usr/bin/rhythmbox
kernel:         3.4.4-5.fc17.i686
pid:            27685
pwd:            /home/reidrac
time:           Sat 14 Jul 2012 11:11:52 BST
uid:            1000
username:       reidrac

backtrace:      Text file, 45809 bytes
dso_list:       Text file, 21169 bytes
maps:           Text file, 61460 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/reidrac/2

core_backtrace:
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0xad832 g_settings_get_value libgio-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0xae33f g_settings_get_string libgio-2.0.so.0 -
:1059c233ad6610abf710bee84692710e7bdd69c0 0x6966 - libdaap.so -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186bba - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d0e73 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2e0d26 gtk_widget_send_focus_change libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2e3c3e - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2e50a1 - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xfedd g_cclosure_marshal_VOID__OBJECTv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xb668 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2e8746 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d3a0b - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb9b g_cclosure_marshal_VOID__VOIDv libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xb668 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d2316 gtk_widget_grab_focus libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0xaac68 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186c81 - libgtk-3.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xb668 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xd042 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26486 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x2d0e73 - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x1846cc - libgtk-3.so.0 -
:ad9e27665744b5e0f27506032bcfd11acc11a16c 0x186850 gtk_main_do_event libgtk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x1c5ed - libgdk-3.so.0 -
:e0185ee9a89ad3f701e8fa2c658e242b453d4d2b 0x45769 - libgdk-3.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x98c04 g_application_run libgio-2.0.so.0 -
:5793fab06cb4a61433edead6151e663562b12744 0xe2a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=vortex.usebox.net
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=f5452ad849c4ce81f231327100000010-1342023134.170522-289555125
:GNOME_KEYRING_CONTROL=/run/user/reidrac/keyring-5JiB9E
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=reidrac
:USERNAME=reidrac
:MAIL=/var/spool/mail/reidrac
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/reidrac/.local/bin:/home/reidrac/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/reidrac
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1239
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/reidrac
:SHLVL=1
:LOGNAME=reidrac
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-cZDMGfBi3e,guid=42d44efe2278580925bc6a390000003e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/reidrac
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-reidrac-EKbiyE/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1243,unix/unix:/tmp/.ICE-unix/1243
:SSH_AUTH_SOCK=/run/user/reidrac/keyring-5JiB9E/ssh
:GPG_AGENT_INFO=/run/user/reidrac/keyring-5JiB9E/gpg:0:1
:LC_TIME=en_GB.utf8
:LC_NUMERIC=en_GB.utf8
:LC_MONETARY=en_GB.utf8
:LC_MEASUREMENT=en_GB.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/rhythmbox.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27685
:DESKTOP_STARTUP_ID=gnome-shell-1467-vortex.usebox.net-rhythmbox-24_TIME72403065

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23037                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         unlimited            unlimited            bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23037                23037                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/reidrac/.xsession-errors
:pos:	6767772
:flags:	02002
:2:/home/reidrac/.xsession-errors
:pos:	6767772
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:socket:[808153]
:pos:	0
:flags:	02000002
:5:socket:[801659]
:pos:	0
:flags:	02004002
:6:socket:[808154]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[805375]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[808156]
:pos:	0
:flags:	02004002
:13:/home/reidrac/.cache/rhythmbox/album-art/store.tdb
:pos:	168
:flags:	02100002
:14:socket:[808159]
:pos:	0
:flags:	02004002
:15:socket:[805376]
:pos:	0
:flags:	02004002
:16:socket:[808167]
:pos:	0
:flags:	02004002
:17:socket:[808168]
:pos:	0
:flags:	02004002
:18:anon_inode:inotify
:pos:	0
:flags:	02004000
:19:/tmp/ffiEY9OXF (deleted)
:pos:	0
:flags:	02
:20:socket:[808306]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: 6d55611d-3a80-4902-9a9a-ebb75da0eca0
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 4799.67
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i3 CPU       M 370  @ 2.40GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2394
:System Memory: 2896
:System Swap: 4927
:Vendor: Dell Inc.
:System: Inspiron N5010 A07
:Form factor: Portable
:Kernel: 3.4.4-5.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1095) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1095) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:4136:1095) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15115:4136:1095) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4136:1095) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(32902:9288:4136:1095) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(5348:18215:4136:16) pci, wl, NETWORK, XPS 8300
:(32902:15164:4136:1095) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1095) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:4136:1095) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:70:4136:1095) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:4136:1095) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:4136:1095) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4332:33078:4136:1095) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_vortex-lv_root / ext4 4096 4096 13091009 9009144 8878112 3276800 3088517 3088517
:/dev/sda2 /boot ext4 1024 1024 508644 410137 384537 128016 127752 127752
:/dev/mapper/vg_vortex-lv_home /home ext4 4096 4096 63565565 58543282 55361100 15917056 15835524 15835524
:

var_log_messages:
:Jul 14 11:11:52 vortex kernel: [72312.640751] rhythmbox[27685]: segfault at 6424a48d ip 427ba832 sp bfa22a80 error 4 in libgio-2.0.so.0.3200.3[4270d000+153000]
:Jul 14 11:11:53 vortex abrt[27709]: Saved core dump of pid 27685 (/usr/bin/rhythmbox) to /var/spool/abrt/ccpp-2012-07-14-11:11:52-27685 (82681856 bytes)
Comment 1 Juan J. Martínez 2012-07-14 06:23:38 EDT
Created attachment 598239 [details]
File: backtrace
Comment 2 Juan J. Martínez 2012-07-14 06:23:39 EDT
Created attachment 598240 [details]
File: maps
Comment 3 Juan J. Martínez 2012-07-14 06:23:42 EDT
Created attachment 598241 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 16:39:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:49:59 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.